Bug 1292958 - ClientAsymmetricClusterTest.testAsymmetricCluster and HotRodAsyncReplicationTest.testPutKeyValue fail
ClientAsymmetricClusterTest.testAsymmetricCluster and HotRodAsyncReplication...
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.6.0,6.6.1
Unspecified Linux
unspecified Severity unspecified
: ---
: 6.6.0
Assigned To: Vittorio Rigamonti
Alan Field
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 15:28 EST by Alan Field
Modified: 2016-08-08 09:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Field 2015-12-18 15:28:45 EST
Description of problem:

ClientAsymmetricClusterTest.testAsymmetricCluster fails with the following exception:

FAILED: testAsymmetricCluster
org.infinispan.client.hotrod.exceptions.HotRodClientException:: We should not reach here!
	at org.infinispan.client.hotrod.jni.HotrodJNI.getJniRelayNamedCache(Native Method)
	at org.infinispan.client.hotrod.jni.Hotrod.getJniRelayNamedCache(Hotrod.java:38)
	at org.infinispan.client.hotrod.impl.RemoteCacheImpl.<init>(RemoteCacheImpl.java:50)
	at org.infinispan.client.hotrod.RemoteCacheManager.getCache(RemoteCacheManager.java:88)
	at org.infinispan.client.hotrod.ClientAsymmetricClusterTest.testAsymmetricCluster(ClientAsymmetricClusterTest.java:37)
	at org.infinispan.client.jni.hotrod.JniTest.main(JniTest.java:83)
... Removed 21 stack frames

A possible NPE failure was mentioned in this PR:

https://github.com/infinispan/infinispan/pull/3893#issuecomment-164835747

HotRodAsyncReplicationTest.testPutKeyValue fails with this exception:

8: FAILED: testPutKeyValue(public void org.infinispan.client.hotrod.HotRodAsyncReplicationTest.testPutKeyValue(java.lang.reflect.Method))
8: org.infinispan.client.hotrod.exceptions.HotRodClientException:: We should not reach here!
8: 	at org.infinispan.client.hotrod.jni.HotrodJNI.RemoteCache_jb_jb_put__SWIG_2(Native Method)
8: 	at org.infinispan.client.hotrod.jni.RemoteCache_jb_jb.put(RemoteCache_jb_jb.java:66)
8: 	at org.infinispan.client.hotrod.impl.RemoteCacheImpl$1.invoke(RemoteCacheImpl.java:84)
8: 	at org.infinispan.client.hotrod.impl.RemoteCacheImpl.relayedInvoker(RemoteCacheImpl.java:480)
8: 	at org.infinispan.client.hotrod.impl.RemoteCacheImpl.put(RemoteCacheImpl.java:81)
8: 	at org.infinispan.client.hotrod.HotRodAsyncReplicationTest.testPutKeyValue(HotRodAsyncReplicationTest.java:40)
8: 	at org.infinispan.client.jni.hotrod.JniTest.main(JniTest.java:83)
8: ... Removed 21 stack frames

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Vittorio Rigamonti 2016-02-03 05:29:20 EST
There's a bug in RetryOnFaultOperation.h, see 

https://issues.jboss.org/browse/HRCPP-222?filter=12316027


The bug is present also in the community version but the test suites differ.

Specifically:
the jdg test suite, for some tests, instantiates a configuration with maxRetries=0
Comment 3 Alan Field 2016-02-03 16:24:38 EST
Vittorio, I still see the test case failures on the JDG branch with the fix in HRCPP-222

Note You need to log in before you can comment on or make changes to this bug.